> ## Documentation Index
> Fetch the complete documentation index at: https://docs.managexr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete App

> Removes application and all versions from ManageXR.



## OpenAPI

````yaml DELETE /v1/apps/{packageName}
openapi: 3.1.0
info:
  title: ManageXR API
  description: API documentation for ManageXR
  version: 1.0.0
servers:
  - url: https://managexrapi.com
    description: ManageXR API Server
security:
  - basicAuth: []
paths:
  /v1/apps/{packageName}:
    delete:
      summary: Delete app
      description: Removes application and all versions from ManageXR.
      parameters:
        - name: packageName
          in: path
          required: true
          schema:
            type: string
          description: The package name of the app
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - managed
              - shared
              - instant
              - external
            default: managed
          description: |
            App **type** to delete.  
            • If not set, defaults to **managed**.  

             **Behavior by type**

             | type      | Deletion scope |
             |-----------|---------------|
             | managed   | Deletes the managed app and **all managed versions**. |
             | shared    | Deletes the shared app for *your* organization only (the owner org keeps its copy). |
             | instant   | Deletes the instant app for *your* organization only (the owner org keeps its copy). |
             | external  | Deletes the external app. |
        - name: organizationId
          in: query
          required: false
          schema:
            type: string
          description: >
            Unique identifier of the organization. This parameter is only
            necessary when using multi-organization API keys. 


            Defaults to the organizationId associated with the API key.
      responses:
        '200':
          description: App deleted successfully
        '400':
          description: Invalid app type
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: 'Invalid app type: foo'
                  error:
                    type: string
                    example: ManageXR Error
              example:
                statusCode: 400
                message: 'Invalid app type: foo'
                error: ManageXR Error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 403
                  message:
                    type: string
                    example: Forbidden
                  error:
                    type: string
                    example: ManageXR Error
              example:
                statusCode: 403
                message: Forbidden
                error: ManageXR Error
        '404':
          description: App not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 404
                  message:
                    type: string
                    example: App with package name com.example.app not found
                  error:
                    type: string
                    example: ManageXR Error
              example:
                statusCode: 404
                message: App with package name com.example.app not found
                error: ManageXR Error
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        API key based authentication where <encoded-value> is the Base64
        encoding of `API_KEY_ID`:`API_KEY_SECRET`

        - **Username**: The API Key ID.

        - **Password**: The API Key Secret.

````